#
# spec file for package convmv (Version 1.09)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           convmv
License:        GPL
Group:          Productivity/File utilities
Requires:       perl
Autoreqprov:    on
Version:        1.09
Release:        12.2
URL:            http://j3e.de/linux/convmv/
Source0:        http://j3e.de/linux/convmv/convmv-1.09.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArchitectures: noarch
Summary:        Converts File Names from One Encoding to Another

%description
convmv is meant to help convert a directory tree and the contained
files or a whole file system into a different encoding. It just
converts the file names, not the content of the files. A special
feature of convmv is that it also takes care of symlinks and converts
the symlink target pointer in case the symlink target is converted.

All this comes in very handy when converting from old 8-bit locales to
UTF-8 locales. It is also possible to convert directories to UTF-8 that
are already partly UTF-8 encoded. convmv is able to detect if certain
files are UTF-8 encoded and skips them by default. To turn this
behavior off, use the --nosmart switch.

An interoperability issue that comes with UTF-8 locales is this: Linux
and (most?) other Unix-like operating systems use the normalization
form C (NFC) for UTF-8 encoding by default but do not enforce this.
Darwin, the base of Macintosh OSX, enforces normalization form D (NFD),
where a few characters are encoded in a different way. convmv is able
to convert files to NFC or NFD, which aids in interoperability with
such systems.



Authors:
--------
    Bjoern Jacke <bjoern@j3e.de>

%debug_package
%prep
%setup0

%build
make PREFIX=/usr

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT%{_bindir} $RPM_BUILD_ROOT%{_mandir}/man1
make DESTDIR=$RPM_BUILD_ROOT PREFIX=/usr install
make test

%clean
#[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-, root, root)
%doc GPL2 Changes VERSION MD5sums
%{_bindir}/*
%{_mandir}/man1/*

%changelog -n convmv
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Dec 09 2005 - mfabian@suse.de
- Bugzilla #135497: fixed by updating to 1.09.
* Wed Aug 25 2004 - mfabian@suse.de
- update to 1.08.
* Thu Mar 25 2004 - mfabian@suse.de
- add patch from author Bjoern Jacke:
  do not complain about wrong from_enc if to_enc is utf8 and
  files are, too. Thanks to Kuang-che Wu.
* Wed Jan 14 2004 - mfabian@suse.de
- don't build as root.
- update to 1.07.
  New since 1.05:
  * add option to undo ugly http- and ftp-like escape sequences
  * add option to upper/lowercase virtually any charset
  * for upper/lower conversion add a "dotless i" option for
  Lithuanian, Turkish and Azeri
  * check for characters not allowed in POSIX filesystems
  (just in case someone wants to try to convert to UTF-16)
  * rewrote checkenc(), no more false alarms now with "encodings"
  like MIME-Q, which can look quite different.
* Thu Aug 14 2003 - mfabian@suse.de
- small update from author:
  * add file length check
* Fri Jul 25 2003 - mfabian@suse.de
- update to 1.05.
  From the Changes file:
  * --qfrom/to also mask cntrl characters now
  * symlink printout splitted to get correct output
  * missing $arg in symlink fixed (bug introduced in 1.02)
  * add NFS4 issues to documentation
  * add test suite
* Wed Jul 16 2003 - mfabian@suse.de
- update to 1.04.
  From the Changes file:
  * add --exec option to allow arbitrary operations
  * add --lowmem option to keep memory footprint low when millions
  of files are being converted. However this will deactivate
  symlink target checks.
  * add Samba issues to documentation
  * suppress normalization error messages in cases of invalid
  UTF-8 in checkenc()
* Mon Jun 30 2003 - mfabian@suse.de
- update to 1.02.
  From the Changes file:
  * make default behaviour to not work recursively so we can
  convert a single directory, use -r to get the old (recursive)
  mode
  * work around find() oddity, which doesn't process directories
  from @ARGV
  * die on unknown option
  * check if files exist and die otherwise
* Mon May 12 2003 - mfabian@suse.de
- update to 1.01
- remove patch which requires Encode::HanExtra and Encode::JIS2K
  because these two packages use "enc2xs -C" in %%post and %%postun
  now which makes on demand loading of these encodings possible
  without a "require" in convmv.
* Fri May 09 2003 - mfabian@suse.de
- add patch to require Encode::HanExtra and Encode::JIS2K
  if available
* Fri May 09 2003 - mfabian@suse.de
- new package: convmv 1.0.
